Packages - Freedom Issue #3090

Why does GNOME-Software package conflict with your freedom?
2021-08-30 04:43 PM - Oknolaz

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

¢ steps to reproduce:
Attempt to install gnome-software package.

e expected result:
GNOME Software will be installed without problems.

e actual result:
| got the following output in the terminal: 'gnome-software' and 'your-freedom' conflict.

History

#1 - 2021-08-31 09:03 AM - telur

anything conflicted with your-freedom it's because it's conflicted with your freedom (aka nonfree) duh :) .
in the gnome-software case it depends on appstream package, a software catalogue wich contains nonfree software list.
parabola is 100% free software distro, therefore all possibly nonfree things is not supported.

#2 - 2021-08-31 09:59 AM - Oknolaz

But why is flatpak in the repository? With its help, you can also install a non-free program.
#3 - 2021-08-31 10:43 PM - telur
Oknolaz wrote:

But why is flatpak in the repository? With its help, you can also install a non-free program.

they doesnt come bundled or depend with nonfree bits, so it still considered free.
pacman also can be used to install nonfree software but at least it doesnt provide or support them in the repository by default.
in firefox you can install nonfree addons but firefox doesnt come with them by default and you still can use firefox without them.

#4 - 2021-09-19 07:47 PM - bill-auger

- Status changed from unconfirmed to not-a-bug

related to https:/labs.parabola.nu/boards/19/topics/1044
‘gnome-software' and 'discover' are third-party package managers, which (unlike a web browser) assist with locating and installing non-free software
some other references:

https://labs.parabola.nu/issues/1413
https://labs.parabola.nu/issues/1035
